Subject: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Nov 2015 15:35:22 +0100

On Fri, Nov 13, 2015 at 3:05 PM, Eli Zaretskii <[email-masked]> wrote:

> It also talks about the daemon.  If that's the problem, then I guess
> desktop-kill could behave as if YES was answered when we run in daemon
> mode and -Q was not given on the command line.  Would that make sense?

There are three "ask" cases in desktop-save.

   ask           -- always ask.
   ask-if-new    -- ask if no desktop file exists, otherwise just save.
   ask-if-exists -- ask if desktop file exists, otherwise don't save.

I'm not sure defaulting to YES in all cases is what makes more sense.

> What other use cases are there where this issue could arise,
> i.e. where the user couldn't answer the question?

Don't know. It is posible for an Emacs instance to have all frames in a
remote desktop?